Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006733opensim[REGION] OpenSim Corepublic2013-08-08 14:592014-07-29 13:42
Reporterkenvc 
Assigned Tokenvc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDual Xeon quad core 32 gb ramOSWindowsOS VersionServer 2012 64
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006733: TP requests from an AV in a dev master region to someone in a sim with a little older software no longer works.
DescriptionTP requests from an AV in a dev master region to someone in a sim with a little older software no longer works. This is 2 sims within the same grid. I have not personally tested this issue with Hypergrid.
Steps To ReproduceSend a tp request from a sim running the latest dev master to someone in a sim running the older TP code and that person will not be able to TP to your sim.
TagsNo tags attached.
Git Revision or version numberr/23455
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
ViewerSingularity
Attached Files

- Relationships

-  Notes
(0024264)
Mata Hari (reporter)
2013-08-08 16:57
edited on: 2013-08-08 17:07

I also experienced this twice in the last two days. When I tried yesterday to HG-TP from a sim running an older version (r/23026) to my own standalone (edit: running r/23438) I had a failed attempt due to timing out but then my second attempt succeeded.

Today when attempting to make the same HG-TP it timed out again and then crashed the sim I was attempting to depart from when I made the second attempt. According to the sim owner there was no entry in the console/log to explain the crash. My own console reported as follows:

15:00:46 - [USER AGENT SERVICE]: Request to get home region of user ce40214d-7737-47f5-af49-b685bfbb5dec
15:00:47 - [USER AGENT SERVICE]: Request to login user Aine.Caoimhe @aine.x64.me (@stored IP) to grid http://aine.x64.me:9000/ [^]
15:00:47 - [USER AGENT SERVICE]: this grid: http://aine.x64.me:9000/, [^] desired grid: http://aine.x64.me:9000/, [^] desired region: f3c6f1b0-
b5d1-11e2-9e96-0800200c9a66
15:00:47 - [GATEKEEPER SERVICE]: Login request for Aine.Caoimhe @aine.x64.me @ http://aine.x64.me:9000/ [^] (ce40214d-7737-47f5-af49-b685bf
bb5dec) at using viewer Firestorm-Release 4.4.2.34167, channel Firestorm-Release, IP 99.226.47.180, Mac f2801eb6edb1cf982cfb04852c5c5f
81, Id0 15e54dd4412c0982bd793b716786f196 Teleport Flags 0
15:00:47 - [GATEKEEPER SERVICE]: Verifying http://aine.x64.me:9000 [^] against http://aine.x64.me:9000 [^]
15:00:47 - [USER AGENT SERVICE]: Verifying agent token http://aine.x64.me:9000/;86edfc71-937e-4713-a98a-d085511dfa34 [^] against http://ain [^]
e.x64.me:9000/;86edfc71-937e-4713-a98a-d085511dfa34
15:00:47 - [GATEKEEPER SERVICE]: Identity verified for Aine.Caoimhe @aine.x64.me @ http://aine.x64.me:9000/ [^]
15:00:47 - [GATEKEEPER SERVICE]: User is OK
15:00:47 - [PRESENCE SERVICE]: LoginAgent ce40214d-7737-47f5-af49-b685bfbb5dec with session 6b86f366-1362-46ac-bee6-156911b9162a and ss
ession 949e3cc9-bd2c-4cca-9159-1ed181d55c30
15:00:47 - [GATEKEEPER SERVICE]: Login presence ok
15:00:47 - [GATEKEEPER SERVICE]: destination ok: Paramour
15:00:47 - [GATEKEEPER SERVICE]: launching agent ViaHGLogin
15:00:47 - [REMOTE SIMULATION CONNECTOR]: Creating agent at http://aine.x64.me:9000/ [^]
15:00:47 - [SCENE]: Region Paramour told of incoming child agent Aine Caoimhe ce40214d-7737-47f5-af49-b685bfbb5dec (circuit code 493665
07, IP 99.226.47.180, viewer Firestorm-Release 4.4.2.34167, teleportflags (ViaHGLogin), position <79.68306, 79.63699, 21.60742>)
15:00:47 - [SCENE]: Region Paramour authenticated and authorized incoming child agent Aine Caoimhe ce40214d-7737-47f5-af49-b685bfbb5dec
 (circuit code 49366507)
15:00:47 - [VivoxVoice]: OnRegisterCaps: agentID ce40214d-7737-47f5-af49-b685bfbb5dec caps OpenSim.Framework.Capabilities.Caps
15:00:47 - [EVENTQUEUE]: Adding new queue for agent ce40214d-7737-47f5-af49-b685bfbb5dec in region Paramour
15:00:47 - [AVATAR PICKER SEARCH]: /CAPS/13dd162f-b64d-4d16-a7c2-407f46fd2382 in region Paramour
15:00:47 - [USER AGENT SERVICE]: Gatekeeper sees me as
15:00:48 - [LLUDPSERVER]: Handling UseCircuitCode request for circuit 49366507 to Paramour from IP 99.226.47.180:62756
15:00:48 - [SCENE]: Adding new child scene presence Aine Caoimhe ce40214d-7737-47f5-af49-b685bfbb5dec to scene Paramour at pos <79.6781
, 139.887, 22.7312>
15:00:50 - [CAPS]: Received SEED caps request in Paramour for agent ce40214d-7737-47f5-af49-b685bfbb5dec
15:00:50 - [SCENE]: Incoming client Aine Caoimhe in region Paramour via HG login
15:00:50 - [USER AGENT CONNECTOR]: new connector to http://aine.x64.me:9000/ [^] (http://99.226.47.180:9000/ [^])
15:00:50 - [USER AGENT SERVICE]: Verifying Client session 6b86f366-1362-46ac-bee6-156911b9162a with reported IP 99.226.47.180.
15:00:50 - [USER AGENT SERVICE]: Comparing 99.226.47.180 with login IP 99.226.47.180 and MyIP 99.226.47.180; result is True
15:00:50 - [SCENE]: User Client Verification for Aine Caoimhe in Paramour returned true
15:04:01 - [LLUDPSERVER]: No packets received from child agent of Aine Caoimhe for 60000ms in Paramour. Disconnecting.
15:04:01 - [CLIENT]: Close has been called for Aine Caoimhe attached to scene Paramour
15:04:01 - [SCENE]: Removing child agent Aine Caoimhe ce40214d-7737-47f5-af49-b685bfbb5dec from Paramour
15:04:01 - [CAPS]: Remove caps for agent ce40214d-7737-47f5-af49-b685bfbb5dec in region Paramour

(0024295)
kenvc (reporter)
2013-08-28 19:50

This issue now appears to be fixed starting with Dev Master r/23558. Thorough testing was done after updating to this version and have not been able to duplicate the TP request issue going either direction as long as one of the sims is using this new code.
(0024296)
kenvc (reporter)
2013-08-28 19:51

Fixed in dev master r/23558.

- Issue History
Date Modified Username Field Change
2013-08-08 14:59 kenvc New Issue
2013-08-08 15:00 kenvc Git Revision or version number => r/23455
2013-08-08 16:57 Mata Hari Note Added: 0024264
2013-08-08 17:07 Mata Hari Note Edited: 0024264 View Revisions
2013-08-08 17:17 kenvc Description Updated View Revisions
2013-08-22 17:56 kenvc Platform Dual Xeon quad core 32 bg ram => Dual Xeon quad core 32 gb ram
2013-08-28 19:50 kenvc Note Added: 0024295
2013-08-28 19:51 kenvc Note Added: 0024296
2013-08-28 19:51 kenvc Status new => resolved
2013-08-28 19:51 kenvc Fixed in Version => master (dev code)
2013-08-28 19:51 kenvc Resolution open => fixed
2013-08-28 19:51 kenvc Assigned To => kenvc
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker